Bug 32051 - mod_example is not thread safe
Summary: mod_example is not thread safe
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Other Modules (show other bugs)
Version: 2.1-HEAD
Hardware: All other
: P3 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords:
: 50946 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-11-04 03:35 UTC by Paul Querna
Modified: 2018-03-24 21:57 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Querna 2004-11-04 03:35:15 UTC
mod_example is not thread safe.  This is a tracking bug for making mod_example
thread safe for all MPMs.

Originally reported as part of bug @29709
Comment 1 Sander Temme 2007-06-25 16:27:53 UTC
Should be fixed in r550636, by removing all use of global variables to store the backtrace prose.  The 
remaining startup backtrace should be read-only after the server forks and spawns threads. 
Comment 2 Takashi Sato 2013-06-26 12:34:36 UTC
This issue was fixed in trunk/2.4, but not in 2.2.
Comment 3 Takashi Sato 2013-06-26 12:34:53 UTC
*** Bug 50946 has been marked as a duplicate of this bug. ***
Comment 4 Christophe JAILLET 2018-03-24 21:57:44 UTC
The 2.2 branch in EOL, so if fixed in 2.4, it can now be closed